/*
 * Copyright (C) 2012-2013 Daniel Medina <http://danielme.com>
 * 
 * This file is part of "Muspy for Android".
 * 
 * "Muspy for Android" is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * "Muspy for Android" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License version 3
 * along with this program.  If not, see <http://www.gnu.org/licenses/gpl-3.0.html/>
 */
package com.danielme.muspyforandroid.customwidgets;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.widget.ImageButton;


/**
 * Prevents the buttons from being highlighted when the user presses the itemview
 * {@link http://android.cyrilmottier.com/?p=525}
 * @author Cyril Mottier
 *
 */
public class DontPressWhenPressParentButton extends ImageButton
{

	public DontPressWhenPressParentButton(Context context)
	{
		super(context);
	}

	public DontPressWhenPressParentButton(Context context, AttributeSet attrs)
	{
		super(context, attrs);
	}

	public DontPressWhenPressParentButton(Context context, AttributeSet attrs, int defStyle)
	{
		super(context, attrs, defStyle);
	}

	@Override
	public void setPressed(boolean pressed)
	{
		if (pressed && getParent() instanceof View && ((View) getParent()).isPressed())
		{
			return;
		}
		super.setPressed(pressed);
	}
}